summaryrefslogtreecommitdiffstats
path: root/games/nestopia-libretro
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2016-08-01 12:11:08 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-05 18:10:41 +0100
commit8fadd298eb3f4b22ea0240b93d42e117ab0678ee (patch)
tree013224bd9c8020a2ace84e054df20804d9a9c232 /games/nestopia-libretro
parent7740b4c03fb176b44b3a563b1023e89a17611bc7 (diff)
downloadslackbuilds-8fadd298eb3f4b22ea0240b93d42e117ab0678ee.tar.gz
slackbuilds-8fadd298eb3f4b22ea0240b93d42e117ab0678ee.tar.xz
games/nestopia-libretro: Added (Nestopia for Libretro).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/nestopia-libretro')
-rw-r--r--games/nestopia-libretro/README20
-rw-r--r--games/nestopia-libretro/nestopia-libretro.SlackBuild95
-rw-r--r--games/nestopia-libretro/nestopia-libretro.info10
-rw-r--r--games/nestopia-libretro/slack-desc19
4 files changed, 144 insertions, 0 deletions
diff --git a/games/nestopia-libretro/README b/games/nestopia-libretro/README
new file mode 100644
index 0000000000..887b58395b
--- /dev/null
+++ b/games/nestopia-libretro/README
@@ -0,0 +1,20 @@
+Nestopia is a Nintendo Entertainment System video game system emulator that can
+be used as a libretro core.
+
+Nestopia is a portable and cycle-accurate NES/Famicom emulator written in C++.
+Nestopia UE (Undead Edition) is a fork of the original source code, with
+enhancements from members of the emulation community. This includes support for
+new platforms, and bug fixes in the emulator core.
+
+Nestopia requires the following BIOS image files for operation:
+
+* DISKSYS.ROM (Famicom Disk System BIOS)
+* NstDatabase.xml (NES Database)
+
+The NstDatabase.xml can be copied from the nestopia-libretro documentation
+directory:
+ cp /usr/doc/nestopia-libretro-$VERSION/NstDatabase.xml \
+ /your/RetroArch/bios/direcotry
+
+To build the debugging symbols use:
+ DEBUG=1 ./nestopia-libretro.SlackBuild
diff --git a/games/nestopia-libretro/nestopia-libretro.SlackBuild b/games/nestopia-libretro/nestopia-libretro.SlackBuild
new file mode 100644
index 0000000000..24cd269edc
--- /dev/null
+++ b/games/nestopia-libretro/nestopia-libretro.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for nestopia-libretro
+
+# Copyright 2016 Hunter Sezen
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nestopia-libretro
+VERSION=${VERSION:-2016.07.21_c69c23e}
+LIBNAM=$(echo $PRGNAM | tr - _)
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# requires patching the Makefile to properly use
+# the default CFLAGS and CXXFLAGS are probably fine
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DEBUG=${DEBUG:-0}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make -C libretro DEBUG=$DEBUG
+
+install -Dm0644 libretro/$LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
+install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
+
+if [ "${DEBUG:-0}" = "0" ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NstDatabase.xml README* changelog.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/nestopia-libretro/nestopia-libretro.info b/games/nestopia-libretro/nestopia-libretro.info
new file mode 100644
index 0000000000..ddfabc139f
--- /dev/null
+++ b/games/nestopia-libretro/nestopia-libretro.info
@@ -0,0 +1,10 @@
+PRGNAM="nestopia-libretro"
+VERSION="2016.07.21_c69c23e"
+HOMEPAGE="http://www.libretro.com/"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/nestopia-libretro-2016.07.21_c69c23e.tar.xz"
+MD5SUM="7e8a60e20f48d0c9fe8d407b8a5fabc9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="RetroArch"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/games/nestopia-libretro/slack-desc b/games/nestopia-libretro/slack-desc
new file mode 100644
index 0000000000..04e150029b
--- /dev/null
+++ b/games/nestopia-libretro/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nestopia-libretro: nestopia-libretro (Enhanced version of Nestopia for Libretro)
+nestopia-libretro:
+nestopia-libretro: This project is a fork of the original Nestopia source code, plus the
+nestopia-libretro: Linux port. The purpose of the project is to enhance the original,
+nestopia-libretro: and ensure it continues to work on modern operating systems.
+nestopia-libretro:
+nestopia-libretro: Homepage: http://www.libretro.com/
+nestopia-libretro:
+nestopia-libretro:
+nestopia-libretro:
+nestopia-libretro: